- Qt 6.10
- Qt Remote Objects
- qt_add_repc_sources
- Qt 6.10.2 Reference Documentation

# qt_add_repc_sources

This command was introduced in Qt 6.2.

## Synopsis

     qt_add_repc_sources(<TARGET> rep_files)

     qt6_add_repc_sources(<TARGET> rep_files)

## Description

Runs repc and generates Qt Remote Objects Source header files based on the given `rep_files`. Adds the generated files to `<TARGET>`.

## Examples

     qt6_add_repc_sources(directconnectserver
         simpleswitch.rep
     )

The generated file(s) will be of the form `rep_<replica file name>_source.h`, in this case `rep_simpleswitch_source.h`